Loading...
Searching...
No Matches
hashing.h File Reference
`#include <cstdint>`
`#include <functional>`
`#include "fourdst/composition/utils/composition_hash.h"`
`#include "gridfire/exceptions/exceptions.h"`
`#include "gridfire/reaction/reaction.h"`
Include dependency graph for hashing.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | gridfire
namespace | gridfire::utils
namespace | gridfire::utils::hashing
namespace | gridfire::utils::hashing::reaction

## Functions

uint_fast32_t | gridfire::utils::hash_atomic (const uint16_t a, const uint8_t z) noexcept
| Generate a unique hash for an isotope given its mass number (A) and atomic number (Z).
static std::uint64_t | gridfire::utils::hashing::reaction::splitmix64 (std::uint64_t x) noexcept
static std::uint64_t | gridfire::utils::hashing::reaction::mix_species (const unsigned a, const unsigned z) noexcept
static std::uint64_t | gridfire::utils::hashing::reaction::multiset_combine (std::uint64_t acc, const std::uint64_t x) noexcept
std::uint64_t | gridfire::utils::hash_reaction (const reaction::Reaction &reaction) noexcept
template<typename T>
std::size_t | gridfire::utils::hash_combine (std::size_t seed, const T &v)
std::size_t | gridfire::utils::fast_mix (std::size_t h) noexcept
std::size_t | gridfire::utils::hash_state (const fourdst::composition::CompositionAbstract &comp, const double T9, const double rho, const reaction::ReactionSet &reactions) noexcept